# pyFTS.hyperparam package

## Module contents

## Submodules

## pyFTS.hyperparam.Util module

Common facilities for hyperparameter optimization

pyFTS.hyperparam.Util.create_hyperparam_tables(conn)

  Create a sqlite3 table designed to store benchmark results.

  Parameters

    conn – a sqlite3 database connection

pyFTS.hyperparam.Util.insert_hyperparam(data, conn)

  Insert benchmark data on database

  Parameters

    data – a tuple with the benchmark data with format:

  Dataset: Identify on which dataset the dataset was performed Tag: a user defined word that indentify a benchmark set Model: FTS model Transformation: The name of data transformation, if one was used mf: membership function Order: the order of the FTS method Partitioner: UoD partitioning scheme Partitions: Number of partitions alpha: alpha cut lags: lags Measure: accuracy measure Value: the measure value

  Parameters

    conn – a sqlite3 database connection

  Returns

pyFTS.hyperparam.Util.open_hyperparam_db(name)

  Open a connection with a Sqlite database designed to store benchmark results.

  Parameters

    name – database filenem

  Returns

    a sqlite3 database connection

## pyFTS.hyperparam.GridSearch module

## pyFTS.hyperparam.Evolutionary module